Energia

## randomSeed(seed)

#### Description

randomSeed() initializes the pseudo-random number generator, causing it to start at an arbitrary point in its random sequence. This sequence, while very long, and random, is always the same.

If it is important for a sequence of values generated by random() to differ, on subsequent executions of a sketch, use randomSeed() to initialize the random number generator with a fairly random input, such as analogRead() on an unconnected pin.

Conversely, it can occasionally be useful to use pseudo-random sequences that repeat exactly. This can be accomplished by calling randomSeed() with a fixed number, before starting the random sequence.

#### Parameters

long, int - pass a number to generate the seed.

#### Returns

no returns

#### Example

    long randNumber;

    void setup(){
      Serial.begin(9600);
      randomSeed(1);
    }

    void loop(){
      randNumber = random(300);
      Serial.println(randNumber);

      delay(50);
    }

#### See also

- random

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes